Skip to main content
Blackboard Help

Supported Technologies for Self-Hosted Systems Q2 2016

In every release, Blackboard devotes time and resources to make Blackboard Learn run on the latest operating systems, databases, and browsers available, with the goal of creating a system that is more manageable, more stable, and more user friendly.

This section highlights the major changes to the Supported Technologies and Browsers for this release. For the most up-to-date information, see Blackboard Learn Release 9.1 Q2 2016 Supported Technologies and Browsers and Supported Technologies End User available on the Behind the Blackboard.

In order to more clearly define support statements regarding third-party client technologies, Blackboard no longer classifies support for technologies in terms of ‘compatible’ or ‘certified’. These technologies are now either fully supported or not supported. Supported and unsupported technologies are aligned as closely as possible with third-party vendor support policies.

  • Supported: Supported by the vendor and Blackboard.
  • Unsupported: Unsupported by the vendor or not supported by Blackboard.

64-bit server configurations

Supported Operating Systems and Databases
  Application Server / JDK 1.8 SQL Server 2012 Oracle 12c Oracle 11gR2
Windows Server 2012 R1/R2 Supported Supported Unsupported Unsupported
Red Hat Enterprise Linux Server 5 Supported Unsupported Supported Supported
Red Hat Enterprise Linux Server 6 Supported Unsupported Supported Supported
Sun Solaris 10 Supported Unsupported Supported Supported
Sun Solaris 11 Supported Unsupported Supported Supported

Configuration notes

  • The Oracle Advanced Security option is not supported at this time.
  • Only SQL Server 2012 Enterprise and Standard Editions are supported.

Non-English operating systems and databases

Non-English operating systems and databases, such as a Chinese-language version of Oracle, are supported with Blackboard Learn.

High-availability database configurations

It is strongly recommended by Blackboard that for purposes of system management Blackboard Learn be installed on a single instance database. Oracle RAC and Microsoft SQL Server AlwaysOn are high-availability configurations from their respective vendors. If for reasons of institutional policy you must run Blackboard Learn in a RAC or AlwaysOn database configuration you may do so, but Blackboard will only support the installation at the Learn-to-database JDBC layer - not at the database layer. Issues encountered at the JDBC layer will be accepted as support incidents, and escalated and triaged according to standard Product Support procedures. Other issues encountered at the database will have to be addressed with the database vendor. If you are unable to address database issues at the database layer in these configurations, Product Support will recommend switching to a single instance database configuration for continued support.

To learn more about running Blackboard Learn with RAC, see Oracle RAC Support.

Hybrid configurations

Red Hat/Solaris hybrid configurations have not been tested and are not supported.

TLS configuration

Blackboard Learn now only runs over TLS. To learn more, see the TLS Configuration section of Install and Upgrade.

Java platform (Java SE JDK support)

JDK 1.8 is supported. Other versions are not currently supported.

Minimum system requirements:

  • 8GB per Learn application server
  • 24GB per Oracle server


  • This is the minimum JVM memory required to run Blackboard Learn.
  • To run the Blackboard database and handle all of its databases, a minimum of 24GB per Oracle server are required.
  • If your Blackboard Learn application server and Oracle server run on a standalone server, the minimum requirements are combined (32GB).


VMware® ESX Server 5 (Linux® and Windows®) is the only configuration tested by Blackboard for Release 9.1.

Blackboard supports other virtualization solutions as long as Blackboard and the hypervisor support the guest operating system.

In addition to VMware, Blackboard has experience with Citrix XenServer 5.5, Solaris 10 Zones and Red Hat® Enterprise Linux® 4 & 5 Xen